--- src/util.cpp	2007/06/25 17:42:37	1.1
+++ src/util.cpp	2007/06/26 13:36:16
@@ -239,16 +239,22 @@
 
 static QCString stripFromPath(const QCString &path,QStrList &l)
 {
+  // look at all the strings in the list and strip the longest match
   const char *s=l.first();
+  QCString potential;
+  unsigned int length = 0;
   while (s)
   {
     QCString prefix = s;
-    if (stricmp(path.left(prefix.length()),prefix)==0) // case insensitive compare
+    if (prefix.length() > length &&
+        stricmp(path.left(prefix.length()),prefix)==0) // case insensitive compare
     {
-      return path.right(path.length()-prefix.length());
+      length = prefix.length();
+      potential = path.right(path.length()-prefix.length());
     }
     s = l.next();
   }
+  if (length) return potential;
   return path;
 }
 
@@ -4347,9 +4353,11 @@
       FileNameIterator fni(*fn);
       FileDef *fd;
       FileDef *lastMatch=0;
+      QCString pathStripped = stripFromIncludePath(path);
       for (fni.toFirst();(fd=fni.current());++fni)
       {
-        if (path.isEmpty() || fd->getPath().right(path.length())==path) 
+        QCString fdStripPath = stripFromIncludePath(fd->getPath());
+        if (path.isEmpty() || fdStripPath == pathStripped) 
         { 
           count++; 
           lastMatch=fd; 
